// [Blend2D]
// 2D Vector Graphics Powered by a JIT Compiler.
//
// [License]
// Zlib - See LICENSE.md file in the package.

// This is a public header file designed to be used by Blend2D users.
// It includes all the necessary files to use Blend2D library from C
// and C++ and it's the only header that is guaranteed to stay.
//
// Never include directly header files placed in "blend2d" directory.
// Headers that end with "_p" suffix are private and should never be
// included as they are not part of public API.

#ifndef BLEND2D_H
#define BLEND2D_H

#include "./blend2d/blapi.h"
#include "./blend2d/blarray.h"
#include "./blend2d/blbitarray.h"
#include "./blend2d/blcontext.h"
#include "./blend2d/blfilesystem.h"
#include "./blend2d/blfont.h"
#include "./blend2d/blfontdefs.h"
#include "./blend2d/blformat.h"
#include "./blend2d/blgeometry.h"
#include "./blend2d/blglyphbuffer.h"
#include "./blend2d/blgradient.h"
#include "./blend2d/blimage.h"
#include "./blend2d/blmatrix.h"
#include "./blend2d/blpath.h"
#include "./blend2d/blpattern.h"
#include "./blend2d/blpixelconverter.h"
#include "./blend2d/blrandom.h"
#include "./blend2d/blregion.h"
#include "./blend2d/blrgba.h"
#include "./blend2d/blruntime.h"
#include "./blend2d/blstring.h"
#include "./blend2d/blvariant.h"

#endif // BLEND2D_H
